Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util
Class ImmModeSink

    java.lang.Object
      com.sun.opengl.util.ImmModeSink

    public class ImmModeSink

extends Object

Nested Class Summary
`protected static class` | `ImmModeSink.VBOSet`

Field Summary
`static boolean` | `DEBUG_BEGIN_END`
`static boolean` | `DEBUG_DRAW`
`static int` | `GL_POLYGON`
`static int` | `GL_QUAD_STRIP`

Constructor Summary
`protected` | `ImmModeSink(GL gl, int glBufferUsage, int initialSize, int vComps, int vDataType, int cComps, int cDataType, int nComps, int nDataType, int tComps, int tDataType, boolean useGLSL)`

Method Summary
`static ImmModeSink` | `createFixed(GL gl, int glBufferUsage, int initialSize, int vComps, int vDataType, int cComps, int cDataType, int nComps, int nDataType, int tComps, int tDataType)` Uses a GL2ES1, or ES2 fixed function emulation immediate mode sink
`static ImmModeSink` | `createGLSL(GL gl, int glBufferUsage, int initialSize, int vComps, int vDataType, int cComps, int cDataType, int nComps, int nDataType, int tComps, int tDataType)` Uses a GL2ES2 GLSL shader immediate mode sink.
`void` | `destroy(GL gl)`
`void` | `draw(GL gl, boolean disableBufferAfterDraw)`
`void` | `draw(GL gl, Buffer indices, boolean disableBufferAfterDraw)`
`void` | `glBegin(int mode)`
`void` | `glColor3b(byte x, byte y, byte z)`
`void` | `glColor3f(float x, float y, float z)`
`void` | `glColor3s(short x, short y, short z)`
`void` | `glColor4b(byte x, byte y, byte z, byte a)`
`void` | `glColor4f(float x, float y, float z, float a)`
`void` | `glColor4s(short x, short y, short z, short a)`
`void` | `glColorv(Buffer v)`
`void` | `glEnd(GL gl)`
`void` | `glEnd(GL gl, boolean immediateDraw)`
`void` | `glEnd(GL gl, Buffer indices)`
`void` | `glNormal3b(byte x, byte y, byte z)`
`void` | `glNormal3f(float x, float y, float z)`
`void` | `glNormal3s(short x, short y, short z)`
`void` | `glNormalv(Buffer v)`
`void` | `glTexCoord2b(byte x, byte y)`
`void` | `glTexCoord2f(float x, float y)`
`void` | `glTexCoord2s(short x, short y)`
`void` | `glTexCoord3b(byte x, byte y, byte z)`
`void` | `glTexCoord3f(float x, float y, float z)`
`void` | `glTexCoord3s(short x, short y, short z)`
`void` | `glTexCoordv(Buffer v)`
`void` | `glVertex2b(byte x, byte y)`
`void` | `glVertex2f(float x, float y)`
`void` | `glVertex2s(short x, short y)`
`void` | `glVertex3b(byte x, byte y, byte z)`
`void` | `glVertex3f(float x, float y, float z)`
`void` | `glVertex3s(short x, short y, short z)`
`void` | `glVertexv(Buffer v)`
`void` | `reset()`
`void` | `reset(GL gl)`
`static void` | `setVBOUsage(boolean v)`
`String` | `toString()`
`static boolean` | `usesVBO()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG_BEGIN_END

    public static final boolean DEBUG_BEGIN_END

See Also:
  Constant Field Values

### DEBUG_DRAW

    public static final boolean DEBUG_DRAW

See Also:
  Constant Field Values

### GL_QUAD_STRIP

    public static final int GL_QUAD_STRIP

See Also:
  Constant Field Values

### GL_POLYGON

    public static final int GL_POLYGON

See Also:
  Constant Field Values

Constructor Detail

### ImmModeSink

    protected ImmModeSink(GL gl,
                          int glBufferUsage,
                          int initialSize,
                          int vComps,
                          int vDataType,
                          int cComps,
                          int cDataType,
                          int nComps,
                          int nDataType,
                          int tComps,
                          int tDataType,
                          boolean useGLSL)

Method Detail

### createFixed

    public static ImmModeSink createFixed(GL gl,
                                          int glBufferUsage,
                                          int initialSize,
                                          int vComps,
                                          int vDataType,
                                          int cComps,
                                          int cDataType,
                                          int nComps,
                                          int nDataType,
                                          int tComps,
                                          int tDataType)

  Uses a GL2ES1, or ES2 fixed function emulation immediate mode sink

### createGLSL

    public static ImmModeSink createGLSL(GL gl,
                                         int glBufferUsage,
                                         int initialSize,
                                         int vComps,
                                         int vDataType,
                                         int cComps,
                                         int cDataType,
                                         int nComps,
                                         int nDataType,
                                         int tComps,
                                         int tDataType)

  Uses a GL2ES2 GLSL shader immediate mode sink. To issue the draw() command, a ShaderState must be current, using ShaderState.glUseProgram().

  See Also:
    `draw(GL, boolean)`, `javax.media.opengl.glsl.ShaderState#glUseProgram(GL2ES2, boolean)`, `javax.media.opengl.glsl.ShaderState#getCurrent()`

### usesVBO

    public static boolean usesVBO()

### setVBOUsage

    public static void setVBOUsage(boolean v)

### destroy

    public void destroy(GL gl)

### reset

    public void reset()

### reset

    public void reset(GL gl)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### draw

    public void draw(GL gl,
                     boolean disableBufferAfterDraw)

### draw

    public void draw(GL gl,
                     Buffer indices,
                     boolean disableBufferAfterDraw)

### glBegin

    public void glBegin(int mode)

### glEnd

    public final void glEnd(GL gl)

### glEnd

    public void glEnd(GL gl,
                      boolean immediateDraw)

### glEnd

    public final void glEnd(GL gl,
                            Buffer indices)

### glVertexv

    public void glVertexv(Buffer v)

### glNormalv

    public void glNormalv(Buffer v)

### glColorv

    public void glColorv(Buffer v)

### glTexCoordv

    public void glTexCoordv(Buffer v)

### glVertex2f

    public final void glVertex2f(float x,
                                 float y)

### glVertex3f

    public final void glVertex3f(float x,
                                 float y,
                                 float z)

### glNormal3f

    public final void glNormal3f(float x,
                                 float y,
                                 float z)

### glColor3f

    public final void glColor3f(float x,
                                float y,
                                float z)

### glColor4f

    public final void glColor4f(float x,
                                float y,
                                float z,
                                float a)

### glTexCoord2f

    public final void glTexCoord2f(float x,
                                   float y)

### glTexCoord3f

    public final void glTexCoord3f(float x,
                                   float y,
                                   float z)

### glVertex2s

    public final void glVertex2s(short x,
                                 short y)

### glVertex3s

    public final void glVertex3s(short x,
                                 short y,
                                 short z)

### glNormal3s

    public final void glNormal3s(short x,
                                 short y,
                                 short z)

### glColor3s

    public final void glColor3s(short x,
                                short y,
                                short z)

### glColor4s

    public final void glColor4s(short x,
                                short y,
                                short z,
                                short a)

### glTexCoord2s

    public final void glTexCoord2s(short x,
                                   short y)

### glTexCoord3s

    public final void glTexCoord3s(short x,
                                   short y,
                                   short z)

### glVertex2b

    public final void glVertex2b(byte x,
                                 byte y)

### glVertex3b

    public final void glVertex3b(byte x,
                                 byte y,
                                 byte z)

### glNormal3b

    public final void glNormal3b(byte x,
                                 byte y,
                                 byte z)

### glColor3b

    public final void glColor3b(byte x,
                                byte y,
                                byte z)

### glColor4b

    public final void glColor4b(byte x,
                                byte y,
                                byte z,
                                byte a)

### glTexCoord2b

    public final void glTexCoord2b(byte x,
                                   byte y)

### glTexCoord3b

    public final void glTexCoord3b(byte x,
                                   byte y,
                                   byte z)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.